<?php 

function app($name = 'semua') {
    $ci =& get_instance();
    return $ci -> app -> get_app($name);
}

function user($name = 'semua') {
    $ci =& get_instance();
    $id =  $ci -> session -> ci_usrid;
    return $ci -> app -> get_user($id, $name);
}

function cek_log() {
    $ci =& get_instance();
    $id =  $ci -> session -> ci_usrid;
    
    if(!$id) {
        redirect('auth/masuk');
    } 
}

function short_uang($angka) {
    if($angka <= 1000000) {
        return 'Rp' . $angka / 1000 . 'ribu'; 
        
    } else {
        return 'Rp' . $angka / 1000000 . 'juta'; 
    }
}

function format_uang($angka, $re = true) {
    if($re == false) {
        return preg_replace('/[Rp.]+/', '', $angka);
    } else {
        return 'Rp' . number_format($angka, 0, ',', '.');
    }
}

function slug($id, $jenis) {
    $ci   =& get_instance();
    if($jenis == 'produk') {
        $get  = $ci -> app -> get_produk(['id' => $id]);
        $nama = str_replace(' ', '-', $get -> nama);
        return site_url() . 'detail/produk/' . strtolower(rtrim($nama, '-') . '-' . $get -> id);
        
    } else if($jenis == 'kategori') {
        $get  = $ci -> app -> get_kategori($id);
        $nama = str_replace(' ', '-', $get -> nama);
        return site_url() . 'produk?kategori=' . strtolower(rtrim($nama, '-') . '-' . $get -> id);
    }

}

function diskon_produk($normal, $diskon) {
    $calc    = ceil(($diskon / $normal) * 100);
    return $calc . '%';
}

function tgl($str) {
    $str = trim($str);
    $en  = [
        'January',
        'February',
        'March',
        'April',
        'May',
        'June',
        'July',
        'August',
        'September',
        'October',
        'November',
        'December'
    ];
    $id = [
        'Januari',
        'Februari',
        'Maret',
        'April',
        'Mei',
        'Juni',
        'Juli',
        'Agustus',
        'September',
        'Oktober',
        'November',
        'Desember'
    ];

    return str_replace($en, $id, $str);
}

// app helper
// Kode ini dibuat oleh codelingker